aboutsummaryrefslogtreecommitdiff
path: root/tap/tests/skip/test.t
diff options
context:
space:
mode:
authorGravatar Thomas Guyot-Sionnest <dermoth@aei.ca> 2008-11-28 05:01:53 -0500
committerGravatar Thomas Guyot-Sionnest <dermoth@aei.ca> 2008-11-29 04:38:54 -0500
commit2bbf2e6967daa0a9f86874aac409fde245a3bc85 (patch)
tree7fc7a9e96f3bc0e1b6749cbd999c93a292e0d12b /tap/tests/skip/test.t
parent538b97cea63d68efbd9c9c67d9c41278cfd1ebad (diff)
downloadmonitoring-plugins-2bbf2e6967daa0a9f86874aac409fde245a3bc85.tar.gz
Add Libtap as a bundled library (does not change any behaviour without --enable-libtap)
Detects system library as pre-1.4.13 and does not install the built-in library anymore Tested on: - Linux x86_64, with and without local libtap (System libtap installed) - Linux x86, with and without local libtap (System libtap NOT installed) - Solaris SPARC, with and without local libtap, with and without system libtap installed
Diffstat (limited to 'tap/tests/skip/test.t')
-rw-r--r--tap/tests/skip/test.t29
1 files changed, 29 insertions, 0 deletions
diff --git a/tap/tests/skip/test.t b/tap/tests/skip/test.t
new file mode 100644
index 00000000..bf0fe8f1
--- /dev/null
+++ b/tap/tests/skip/test.t
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+cd `dirname $0`
+
+echo '1..2'
+
+make 2>&1 > /dev/null
+
+perl ./test.pl 2>&1 | sed -e 's/# Failed test \(.*\)/# Failed test ()/' > test.pl.out
+perlstatus=$?
+
+./test 2>&1 | sed -e 's/# Failed test \(.*\)/# Failed test ()/' > test.c.out
+cstatus=$?
+
+diff -u test.pl.out test.c.out
+
+if [ $? -eq 0 ]; then
+ echo 'ok 1 - output is identical'
+else
+ echo 'not ok 1 - output is identical'
+fi
+
+if [ $perlstatus -eq $cstatus ]; then
+ echo 'ok 2 - status code'
+else
+ echo 'not ok 2 - status code'
+ echo "# perlstatus = $perlstatus"
+ echo "# cstatus = $cstatus"
+fi